# Uses of Class
javax.help.InvalidNavigatorViewException

Packages that use InvalidNavigatorViewException
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of InvalidNavigatorViewException in javax.help

Methods in javax.help that throw InvalidNavigatorViewException
Modifier and Type
Method
Description
`static NavigatorView`
NavigatorView.`create(HelpSet hs, String name, String label, Locale locale, String className, Hashtable params)`
Creates a NavigatorView for some given information.
Constructors in javax.help that throw InvalidNavigatorViewException
Modifier
Constructor
Description
``
`JHelpFavoritesNavigator(HelpSet hs, String name, String label, URL data)`
Creates an Index navigator with explicit arguments.
``
`JHelpGlossaryNavigator(HelpSet hs, String name, String title)`
Creates JHelpGlossaryNavigator from given HelpSet, name and title
``
`JHelpIndexNavigator(HelpSet hs, String name, String label, URL data)`
Creates an Index navigator with explicit arguments.
``
`JHelpSearchNavigator(HelpSet hs, String name, String label, URL data)`
Creates a TOC navigator with explicit arguments.
``
`JHelpTOCNavigator(HelpSet hs, String name, String label, URL data)`
Creates a TOC navigator with explicit arguments.